> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client credit card



## OpenAPI

````yaml post /client/credit-card
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /client/credit-card:
    post:
      tags:
        - Client
      summary: Update client credit card
      operationId: 0c61366a23bce1b631d1a981d274a3eb
      requestBody:
        description: Credit card token is required
        required: true
        content:
          application/json:
            schema:
              properties:
                token:
                  type: string
                  example: tok_1J2F3G4H5I6J
                cardHolderName:
                  type: string
                  example: John Doe
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Card saved successfully.
                  alert:
                    description: Alert type
                    type: string
                    example: success
                type: object
        '400':
          description: Token error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: No Such Token.
                  alert:
                    description: Alert type
                    type: string
                    example: danger
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````